"use weex:vue";

if (typeof Promise !== 'undefined' && !Promise.prototype.finally) {
  Promise.prototype.finally = function(callback) {
    const promise = this.constructor
    return this.then(
      value => promise.resolve(callback()).then(() => value),
      reason => promise.resolve(callback()).then(() => {
        throw reason
      })
    )
  }
};

if (typeof uni !== 'undefined' && uni && uni.requireGlobal) {
  const global = uni.requireGlobal()
  ArrayBuffer = global.ArrayBuffer
  Int8Array = global.Int8Array
  Uint8Array = global.Uint8Array
  Uint8ClampedArray = global.Uint8ClampedArray
  Int16Array = global.Int16Array
  Uint16Array = global.Uint16Array
  Int32Array = global.Int32Array
  Uint32Array = global.Uint32Array
  Float32Array = global.Float32Array
  Float64Array = global.Float64Array
  BigInt64Array = global.BigInt64Array
  BigUint64Array = global.BigUint64Array
};


(()=>{var w=Object.create;var n=Object.defineProperty;var i=Object.getOwnPropertyDescriptor;var b=Object.getOwnPropertyNames;var f=Object.getPrototypeOf,m=Object.prototype.hasOwnProperty;var y=(e,t)=>()=>(t||e((t={exports:{}}).exports,t),t.exports);var d=(e,t,o,l)=>{if(t&&typeof t=="object"||typeof t=="function")for(let r of b(t))!m.call(e,r)&&r!==o&&n(e,r,{get:()=>t[r],enumerable:!(l=i(t,r))||l.enumerable});return e};var v=(e,t,o)=>(o=e!=null?w(f(e)):{},d(t||!e||!e.__esModule?n(o,"default",{value:e,enumerable:!0}):o,e));var u=y((S,c)=>{c.exports=Vue});var s=v(u());var _=(e,t)=>{let o=e.__vccOpts||e;for(let[l,r]of t)o[l]=r;return o};var g={"loanweb-wrap":{"":{display:"flex",flex:1}},"loanweb-web":{"":{flex:1}}},x={data(){return{jumpUrl:null}},onLoad(e){this.jumpUrl=decodeURIComponent(e.url)}};function h(e,t,o,l,r,$){return(0,s.openBlock)(),(0,s.createElementBlock)("scroll-view",{scrollY:!0,showScrollbar:!0,enableBackToTop:!0,bubble:"true",style:{flexDirection:"column"}},[(0,s.createElementVNode)("view",{class:"loanweb-wrap"},[(0,s.createElementVNode)("u-web-view",{class:"loanweb-web",src:r.jumpUrl,allow:"camera *"},null,8,["src"])])])}var a=_(x,[["render",h],["styles",[g]]]);var p=plus.webview.currentWebview();if(p){let e=parseInt(p.id),t="pages/loan/webview",o={};try{o=JSON.parse(p.__query__)}catch(r){}a.mpType="page";let l=Vue.createPageApp(a,{$store:getApp({allowDefault:!0}).$store,__pageId:e,__pagePath:t,__pageQuery:o});l.provide("__globalStyles",Vue.useCssStyles([...__uniConfig.styles,...a.styles||[]])),l.mount("#root")}})();
