"use weex:vue";

if (typeof Promise !== 'undefined' && !Promise.prototype.finally) {
  Promise.prototype.finally = function(callback) {
    const promise = this.constructor
    return this.then(
      value => promise.resolve(callback()).then(() => value),
      reason => promise.resolve(callback()).then(() => {
        throw reason
      })
    )
  }
};

if (typeof uni !== 'undefined' && uni && uni.requireGlobal) {
  const global = uni.requireGlobal()
  ArrayBuffer = global.ArrayBuffer
  Int8Array = global.Int8Array
  Uint8Array = global.Uint8Array
  Uint8ClampedArray = global.Uint8ClampedArray
  Int16Array = global.Int16Array
  Uint16Array = global.Uint16Array
  Int32Array = global.Int32Array
  Uint32Array = global.Uint32Array
  Float32Array = global.Float32Array
  Float64Array = global.Float64Array
  BigInt64Array = global.BigInt64Array
  BigUint64Array = global.BigUint64Array
};


(()=>{var x=Object.create;var v=Object.defineProperty;var U=Object.getOwnPropertyDescriptor;var F=Object.getOwnPropertyNames;var S=Object.getPrototypeOf,C=Object.prototype.hasOwnProperty;var k=(t,a)=>()=>(a||t((a={exports:{}}).exports,a),a.exports);var V=(t,a,o,s)=>{if(a&&typeof a=="object"||typeof a=="function")for(let i of F(a))!C.call(t,i)&&i!==o&&v(t,i,{get:()=>a[i],enumerable:!(s=U(a,i))||s.enumerable});return t};var d=(t,a,o)=>(o=t!=null?x(S(t)):{},V(a||!t||!t.__esModule?v(o,"default",{value:t,enumerable:!0}):o,t));var f=k(($,b)=>{b.exports=Vue});var E=d(f());function u(t,a,...o){uni.__log__?uni.__log__(t,a,...o):console[t].apply(console,[...o,a])}var D={app_env_name:"SIT\u6D4B\u8BD5\u73AF\u5883",app_env:!1,app_baseUrl:"http://wxt.my56app.com/baseWeb",app_v:51,app_v_iOS:1,app_update:1087},O={app_env_name:"UAT\u6D4B\u8BD5\u73AF\u5883",app_env:!1,app_baseUrl:"http://uatapp.my-tms.com/baseWeb",app_v:60,app_v_iOS:1,app_update:1299},r={app_env_name:"",app_env:!0,app_baseUrl:"https://wx.my56app.com/baseWeb",app_v:57,app_v_iOS:58,app_update:521},B={app_env_name:"\u7070\u5EA6\u73AF\u5883",app_env:r.app_env,app_baseUrl:"https://grayapp.my-tms.com/baseWeb",app_v:r.app_v,app_v_iOS:r.app_v_iOS,app_update:r.app_update},T={app_env_name:"\u6F14\u793A\u73AF\u5883",app_env:r.app_env,app_baseUrl:"http://demoapp.my-tms.com/baseWeb",app_v:r.app_v,app_v_iOS:r.app_v_iOS,app_update:r.app_update},n={dev:D,uat:O,pro:r,gray:B,demo:T},w={0:"pro",10:"pro",1:"gray",2:"dev",11:"demo"},p=uni.getStorageSync("env")||"pro";w[p]&&(p=w[p]);var l=uni.getStorageSync("originalEnv")||"pro",I=()=>{if(p===l)return n[p].app_update;if(p==="pro")return l==="demo"||l==="gray"?n[p].app_update:1;if(p==="gray")return l==="pro"||l==="demo"?n[p].app_update:1;if(p==="demo")return l==="pro"||l==="gray"?n[p].app_update:1;if(p==="dev"||p==="uat")return 1},h={env:p,originalEnv:l,app_env_name:n[p].app_env_name,app_product_env:n[p].app_env,app_baseUrl:n[p].app_baseUrl,app_v:n[p].app_v,app_v_iOS:n[p].app_v_iOS,app_update:I(),app_update_real:n[p].app_update};var e=d(f());var y=(t,a)=>{let o=t.__vccOpts||t;for(let[s,i]of a)o[s]=i;return o};var N={main:{"":{display:"flex",flex:1,height:100}},"content-webview":{"":{flex:1}},webview:{"":{flex:1}},"bg-agree":{"":{paddingTop:"10rpx",paddingRight:"20rpx",paddingBottom:"10rpx",paddingLeft:"20rpx"}},"bg-green":{"":{backgroundColor:"#00a750",color:"#ffffff"}},"text-agree":{"":{color:"#ffffff"}}},P={data(){return{options:null,webUrl:null,webviewStyles:{progress:{color:"#19c99a"}},timeVerificationFlag:!1,timeDuration:5,pathFile:null,baseUrl:""}},onLoad(t){this.baseUrl=h.app_baseUrl;let a=decodeURIComponent(t.url);this.timeVerificationFlag=!!(t.timeVerificationFlag&&t.timeVerificationFlag!=="undefined"),u("log","at pages/pdf/web.nvue:57",this.timeVerificationFlag),a.includes("http")||(a=this.baseUrl+a),this.webUrl=`${this.baseUrl}/h5web/pages/pdfjs/pdfview/viewer2.html?v=2022061201&path=${encodeURIComponent(a)}`,u("log","at pages/pdf/web.nvue:68",this.webUrl),plus.os.name==="iOS"&&(this.webUrl=`${this.baseUrl}/h5web/pages/pdfjs_new/web/viewer.html?v=2022061201&path=${encodeURIComponent(a)}`),this.timeVerificationFlag&&(u("log","at pages/pdf/web.nvue:81",this.webUrl),u("log","at pages/pdf/web.nvue:82","\u6267\u884C\u5012\u8BA1\u65F6"),this.timeCountDown()),t.pathFile&&(this.pathFile=decodeURIComponent(t.pathFile))},onNavigationBarButtonTap(t){u("log","at pages/pdf/web.nvue:89","onNavigationBarButtonTap"),t.type==="close"&&uni.reLaunch({url:`/${getCurrentPages()[0].route}`})},methods:{timeCountDown(){this.timer=setInterval(()=>{this.timeDuration--,this.timeDuration===0&&clearInterval(this.timer)},1e3)},close(){uni.navigateBack({complete:()=>{uni.$emit("agreement",!0)}})},downloadFile(){u("log","at pages/pdf/web.nvue:113","pathFile",this.pathFile),uni.downloadFile({url:this.pathFile,success:t=>{t.statusCode===200&&(u("log","at pages/pdf/web.nvue:118",t),uni.saveFile({tempFilePath:t.tempFilePath,success(a){let o=a.savedFilePath;uni.showModal({title:"\u63D0\u793A",content:`\u4E0B\u8F7D\u6210\u529F\uFF0C\u6587\u4EF6\u5B58\u50A8\u5230${o}`,confirmText:"\u6253\u5F00",complete:()=>{uni.openDocument({filePath:o})}})}}))}})}}};function A(t,a,o,s,i,m){let c=(0,e.resolveComponent)("button");return(0,e.openBlock)(),(0,e.createElementBlock)("scroll-view",{scrollY:!0,showScrollbar:!0,enableBackToTop:!0,bubble:"true",style:{flexDirection:"column"}},[(0,e.createElementVNode)("view",{class:"main"},[(0,e.createElementVNode)("view",{class:"content-webview"},[(0,e.createElementVNode)("u-web-view",{class:"webview",src:i.webUrl},null,8,["src"])]),i.timeVerificationFlag?((0,e.openBlock)(),(0,e.createElementBlock)("view",{key:0,class:"bg-agree"},[i.timeDuration?((0,e.openBlock)(),(0,e.createBlock)(c,{key:0,disabled:!0},{default:(0,e.withCtx)(()=>[(0,e.createTextVNode)(" \u6211\u5DF2\u77E5\u6653\uFF08"+(0,e.toDisplayString)(i.timeDuration)+"\uFF09 ",1)]),_:1})):((0,e.openBlock)(),(0,e.createBlock)(c,{key:1,class:"bg-green",style:{color:"white"},onClick:m.close},{default:(0,e.withCtx)(()=>[(0,e.createElementVNode)("u-text",{class:"text-agree"},"\u6211\u5DF2\u77E5\u6653")]),_:1},8,["onClick"]))])):(0,e.createCommentVNode)("",!0),i.pathFile?((0,e.openBlock)(),(0,e.createElementBlock)("view",{key:1,class:"bg-agree"},[(0,e.createVNode)(c,{class:"bg-green",style:{color:"white"},onClick:m.downloadFile},{default:(0,e.withCtx)(()=>[(0,e.createElementVNode)("u-text",{class:"text-agree"},"\u4E0B\u8F7D\u6A21\u677F")]),_:1},8,["onClick"])])):(0,e.createCommentVNode)("",!0)])])}var _=y(P,[["render",A],["styles",[N]]]);var g=plus.webview.currentWebview();if(g){let t=parseInt(g.id),a="pages/pdf/web",o={};try{o=JSON.parse(g.__query__)}catch(i){}_.mpType="page";let s=Vue.createPageApp(_,{$store:getApp({allowDefault:!0}).$store,__pageId:t,__pagePath:a,__pageQuery:o});s.provide("__globalStyles",Vue.useCssStyles([...__uniConfig.styles,..._.styles||[]])),s.mount("#root")}})();
